echo on
date /T
time /T

REM # Definitionen
REM set D="-D __DEBUG -D __LANG_EN"
REM set D="-D __LANG_EN"
set D="-D __LANG_DE"

REM # Pfade
set bin="..\Bin"
REM set bin="\home\ftp\hive"
set sdbas="%bin%\sdcard\Basic"
set sdsys="%bin%\sdcard\system"
set libpath="..\TriOS\lib"
set BSTC=bstc.exe

REM ----------------------------------------------------------------
REM Alte Versionen löschen

rmdir %sdbas% /S /Q
REM del %sdsys%\xxxx
mkdir %sdbas%
REM mkdir %sdsys%


REM ----------------------------------------------------------------
REM Code für Administra und Bellatrix erzeugen

%BSTC% -L %libpath% %D% -D __ADM_FAT -D __ADM_FAT_EXT -D __ADM_RTC -D __ADM_SID  -D __ADM_LAN -D __ADM_PLX -D __ADM_DCF -D __ADM_BLT -b -O a ..\TriOS\flash\administra\admflash.spin
move admflash.binary %sdbas%\adm.sys

%BSTC% -L %libpath% %D% -b -O a .\source\belsVGA64.spin
move belsVGA64.binary %sdbas%\bel.sys

REM ----------------------------------------------------------------
REM Basic-Programme erzeugen

%BSTC% -L %libpath% %D% -b -O a .\source\Basic2_1-word.spin
move Basic2_1-word.binary %sdbas%\Basic.bin

%BSTC% -L %libpath% %D% -b -O a .\source\Basic-Runtime.spin
move Basic-Runtime.binary %sdbas%\BasRun.dll

%BSTC% -L %libpath% %D% -b -O a .\source\Export.spin
move Export.binary %sdbas%\Export.sys

%BSTC% -L %libpath% %D% -b -O a .\source\Import.spin
move Import.binary %sdbas%\Import.sys

REM ----------------------------------------------------------------
REM Daten kopieren

xcopy .\data\*.* %sdbas%\ /S /E

echo off
